Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ExtendedPropertyHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ExtendedPropertyHandle

    public class ExtendedPropertyHandle

extends StructureHandle

Represents the handle of Extended property. The Extended property represents an Extended public or private property. The property has two parts: a name and a value.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`ExtendedPropertyHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of Extended property.

Method Summary
`java.lang.String` | `getName()` Returns the property name.
`java.lang.String` | `getValue()` Returns the property value.
`void` | `setName(java.lang.String name)` Sets the property name.
`void` | `setValue(java.lang.String value)` Sets the property value.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedPropertyHandle

    public ExtendedPropertyHandle(SimpleValueHandle valueHandle,
                                  int index)

  Constructs the handle of Extended property.

  Parameters:
    `valueHandle` - the value handle for Extended property list of one property
    `index` - the position of this Extended property in the list

Method Detail

### getName

    public java.lang.String getName()

  Returns the property name.

  Returns:
    the property name

### setName

    public void setName(java.lang.String name)

  Sets the property name.

  Parameters:
    `name` - the property name to set

### getValue

    public java.lang.String getValue()

  Returns the property value.

  Returns:
    the property value

### setValue

    public void setValue(java.lang.String value)

  Sets the property value.

  Parameters:
    `value` - the value to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.